Bug 58178 - Clean some ports out of CAD
Summary: Clean some ports out of CAD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-18 03:10 UTC by Pedro F. Giffuni
Modified: 2003-12-09 19:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-10-18 03:10:08 UTC
Long, long ago I ported a set of free software tools for Finite Element
Analysis, and while they are math tools they are used mostly by engineers so I
added them to the CAD categry. In those days the science category didn't exist
and there were not many real CAD tools so it seemed OK. Nowadays we have some
real CAD tools so I think the older, limited tools should be moved to the
science section.

Fix: 

The following changes should be made on the cad category:

felt 3.06   ----> move to science section

femlab 1.1  ----> can continue to live in the math section instead of the cad
section move to the science section. (While there, the URL for this port has
been dead for several years)

freefem 3.5.7---->can continue to live in the math section instead of the cad
section move to the science section.

kaskade 3.1.1  ---> move to math and also list on science not on CAD.

metis-edf 3-1 ----> move to math, where it can live along it's older brother
metis. Beware, Aster depends on this port so that has to be updated too.
(There's also a PR pending wrt Aster's reorganization)

I ported all of these, except for metis-edf (I did metis 4, though) so I doubt
anyone will complain ;-).











__________________________________
Do you Yahoo!?
The New Yahoo! Shopping - with improved product search
http://shopping.yahoo.com
Comment 1 Thierry Thomas 2003-10-18 08:57:35 UTC
On Sat 18 oct 03 at  4:00:19 +0200, Pedro F. Giffuni <giffunip@yahoo.com>
 wrote:
> 
> >Number:         58178
> >Category:       ports
> >Synopsis:       Clean some ports out of CAD

8<   8<   8<

> metis-edf 3-1 ----> move to math, where it can live along it's older brother
> metis. Beware, Aster depends on this port so that has to be updated too.
> (There's also a PR pending wrt Aster's reorganization)
> 
> I ported all of these, except for metis-edf (I did metis 4, though) so I doubt
> anyone will complain ;-).

I ported metis-edf, and I won't complain ;-)

Regards,
-- 
Th. Thomas.
Comment 2 Greg Lewis freebsd_committer 2003-11-07 22:02:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis

I'll clean this up.
Comment 3 Pedro F. Giffuni 2003-12-09 04:34:56 UTC
Update:
The repocopy request was approved all and all the port changes have been
committed except for metis-edf.

BTW, metis-edf has recently been updated as part of an update to cad/aster
(thanks Oliver), but it still remains in the CAD section.

Thanks for everyone that helped out during this huge ports move.

__________________________________
Do you Yahoo!?
Free Pop-Up Blocker - Get it now
http://companion.yahoo.com/
Comment 4 Oliver Lehmann freebsd_committer 2003-12-09 15:12:39 UTC
Hi Greg,

Pedro F. Giffuni wrote:

> Update:
> The repocopy request was approved all and all the port changes have been
> committed except for metis-edf.
> 
> BTW, metis-edf has recently been updated as part of an update to
> cad/aster(thanks Oliver), but it still remains in the CAD section.

would you like to migrate the updated cad/metis-edf Version to
math/metis-edf + updating the cad/aster DEPENDS, or should I migrate the
differences to math/metis-ed, upgrade the aster Dependency, remove the
cad/Makefile SUBDIR entry, readd the SUBDIR entry in math/Makefile, and
extend ports/MOVED?
I don't know what progress do you made in moving the ports out of
ports/cad.

-- 
 Oliver Lehmann
        @home: lehmann@ans-netz.de
      @office: oliver.lehmann@mgi.de
         @www: http://www.pofo.de/  |  http://wishlist.ans-netz.de/
Comment 5 Greg Lewis 2003-12-09 16:10:40 UTC
Hi Oliver,

On Tue, Dec 09, 2003 at 07:20:15AM -0800, Oliver Lehmann wrote:
>  Pedro F. Giffuni wrote:
>  > Update:
>  > The repocopy request was approved all and all the port changes have been
>  > committed except for metis-edf.
>  > 
>  > BTW, metis-edf has recently been updated as part of an update to
>  > cad/aster(thanks Oliver), but it still remains in the CAD section.
>  
>  would you like to migrate the updated cad/metis-edf Version to
>  math/metis-edf + updating the cad/aster DEPENDS, or should I migrate the
>  differences to math/metis-ed, upgrade the aster Dependency, remove the
>  cad/Makefile SUBDIR entry, readd the SUBDIR entry in math/Makefile, and
>  extend ports/MOVED?
>  I don't know what progress do you made in moving the ports out of
>  ports/cad.

Oops, I hadn't seen the repo copy of metis-edf for some reason :(.  I will
take care of that one now.  All the rest have been done.  Thanks!

-- 
Greg Lewis                          Email   : glewis@eyesbeyond.com
Eyes Beyond                         Web     : http://www.eyesbeyond.com
Information Technology              FreeBSD : glewis@FreeBSD.org
Comment 6 Greg Lewis freebsd_committer 2003-12-09 19:38:04 UTC
State Changed
From-To: open->closed

All done.